#!/usr/bin/env python
#
# Copyright 2009 Marcelo Boveto Shima.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA    02110-1301, USA.
#
# Author: marceloshima@gmail.com (Marcelo Boveto Shima)

import dbus

BUS_NAME="org.tacix"
INTERFACE_SERVER="org.tacix.Manager"
OBJECT_PATH="/org/tacix/Manager"

INTERFACE_SESSION="org.tacix.Sessions"
SESSION_PATH="/org/tacix/Sessions/"
SESSION_TYPE="TXManager"

def get_txsession(sessionid):
    bus = dbus.SystemBus()
    manager_obj = bus.get_object (BUS_NAME, OBJECT_PATH)
    manager = dbus.Interface (manager_obj, INTERFACE_SERVER)
    session_path = manager.GetSession (sessionid)
    session_obj = bus.get_object (BUS_NAME, session_path)
    return dbus.Interface (session_obj, INTERFACE_SESSION)

